## lprng 3.2.1

=== po/Makefile ===
# Generated automatically from Makefile.in.in by configure.
# Dummy Makefile for program source directory in GNU NLS utilities package.
#
# Note 1: you need to get the gettext code to use this -
#  ftp://prep.ai.mit.edu/pub/gnu/gettext-<versions>
#    read the instructions,  install the gettext functions,
#  When you install gettext, it will usually create the following
#  directories - 
#   /usr/local/share/po
#   /usr/local/share/intl
#  you will need to either copy or make symbolic links as follows:
#
# LPRng/po/Makefile.in.in - symbolic link to /usr/local/share/po/Makefile.in.in
#    rm po/Makefile.in.in
#    EITHER:
#      cp /usr/local/share/po/Makefile.in.in po/Makefile.in
#    OR
#      ln -s /usr/local/share/po/Makefile.in.in po/Makefile.in
#

all: all-yes

all-yes:
	echo "You need to link to the correct Makefile.in.in - see README.gettext"
	exit 1;
all-no:
	echo "No internationalization"

install installcheck uninstall check mostlyclean clean:

distclean:
.NOEXPORT:

## lprng 3.4.2

=== HOWTO/Makefile ===
# Generated automatically from Makefile.in by configure.
###########################################################################
# LPRng - An Extended Print Spooler System
#
# Copyright 1988-1997 Patrick Powell, San Diego, California
#     papowell@sdsu.edu
# See LICENSE for conditions of use.
#
###########################################################################
# MODULE: FAQ/Makefile
# PURPOSE: generate utilities
# $Id: Makefile,v 1.4 1998/01/12 20:29:47 papowell Exp $
########################################################################## 

# FAQ Makefile
#
SRC = .

prefix = /usr/local
MAN =		$(prefix)/man
SHELL =		/bin/sh

DOC=LPRng-HOWTO

all: $(DOC).html $(DOC).ps purge

$(DOC).html: $(DOC).sgml Makefile
	sgml2html $(DOC).sgml
$(DOC).txt: $(DOC).sgml
	sgml2txt $(DOC).sgml
$(DOC).tex: $(DOC).sgml Makefile
	sgml2latex -o tex $(DOC).sgml
	mv $(DOC).tex $(DOC).Bex
	sed -e '/tabular/s/{.|.}//g' $(DOC).Bex >$(DOC).tex 
$(DOC).ps: $(DOC).tex Makefile
	- TEXINPUTS=:/usr/local/lib/sgml-tools latex \
		'\nonstopmode\input{LPRng-HOWTO.tex}' >/dev/null
	- TEXINPUTS=:/usr/local/lib/sgml-tools latex \
		'\nonstopmode\input{$(DOC).tex}'
	- TEXINPUTS=:/usr/local/lib/sgml-tools latex \
		'\nonstopmode\input{$(DOC).tex}'
	dvips -q -t a4 -o $(DOC).ps $(DOC).dvi
purge:
	rm -f *.Bex *.aux *.dvi *.log *.toc
fixman:
	cp $(DOC).ps ../../LPRng_DOC
	sed 's,LPRng-HOWTO\.,lprng/&,' LPRng.html >/tmp/LPRng.html
	cp /tmp/LPRng.html ../..

$(DOC).info: $(DOC).sgml
	sgml2info $^

clean:
	rm -f *.Bex *.aux *.dvi LPRng-*.html *.log *.ps *.tex *.toc

.PHONY: all clean install ci install.zman update purge

update:

# 
#
install:

	
realclean mostlyclean distclean:: clean
	rm -f Makefile

ci:
	ci $(CI) -l -mUpdate -t-Initial *.sgml Makefile.in Makefile

=== po/Makefile ===
--- 
+++ 
@@ -18,7 +18,7 @@
 #      ln -s /usr/local/share/po/Makefile.in.in po/Makefile.in
 #
 
-all: all-yes
+all: all-no
 
 all-yes:
 	echo "You need to link to the correct Makefile.in.in - see README.gettext"
@@ -28,5 +28,7 @@
 
 install installcheck uninstall check mostlyclean clean:
 
+ci:
+
 distclean:
 .NOEXPORT:

## lprng 3.5.2

=== HOWTO/Makefile ===
--- 
+++ 
@@ -9,7 +9,7 @@
 ###########################################################################
 # MODULE: FAQ/Makefile
 # PURPOSE: generate utilities
-# $Id: Makefile,v 1.4 1998/01/12 20:29:47 papowell Exp $
+# Makefile.in,v 1.7 1998/03/30 02:37:07 papowell Exp
 ########################################################################## 
 
 # FAQ Makefile
@@ -41,7 +41,7 @@
 		'\nonstopmode\input{$(DOC).tex}'
 	dvips -q -t a4 -o $(DOC).ps $(DOC).dvi
 purge:
-	rm -f *.Bex *.aux *.dvi *.log *.toc
+	rm -f *.Bex *.aux *.log *.toc
 fixman:
 	cp $(DOC).ps ../../LPRng_DOC
 	sed 's,LPRng-HOWTO\.,lprng/&,' LPRng.html >/tmp/LPRng.html
@@ -60,10 +60,20 @@
 # 
 #
 install:
+	cp *.ps *.dvi ../../LPRng_DOC
 
 	
 realclean mostlyclean distclean:: clean
 	rm -f Makefile
 
-ci:
-	ci $(CI) -l -mUpdate -t-Initial *.sgml Makefile.in Makefile
+CI=
+CO=-kv
+cifast ci:
+	checkin() { \
+		rcs -l $$1; \
+		ci $(CI) -mUpdate -t-Initial $$1; \
+		yes |co $(CO) $$1; \
+	}; \
+	for i in  *.sgml Makefile.in Makefile; do \
+		checkin $$i; \
+	done;

=== UTILS/Makefile ===
###########################################################################
# LPRng - An Extended Print Spooler System
#
# Copyright 1988-1995 Patrick Powell, San Diego State University
#     papowell@sdsu.edu
# See LICENSE for conditions of use.
#
###########################################################################
# MODULE: UTILS/Makefile
# PURPOSE: generate utilities
# Makefile,v 3.3 1998/03/30 02:33:23 papowell Exp
########################################################################## 

.PHONY: all clean ci install realclean mostlyclean distclean

all clean install realclean mostlyclean distclean:
	echo done

CI=
CO=-kv

cifast ci:
	checkin() { \
		ci $(CI) -mUpdate -t-Initial $$1; \
		co $(CO) $$1; \
	}; \
	for i in *; do \
		echo $$i ; \
		if [ -f "$$i" ] ; then \
			checkin $$i; \
		fi; \
	done;

=== intl/Makefile ===
all: all-no

all-yes:
	echo "You need to link to the correct Makefile.in.in - see README.gettext"
	exit 1;
all-no:
	echo "No internationalization"

install installcheck uninstall check mostlyclean clean:

cifast ci:

distclean:
.NOEXPORT:

=== po/Makefile ===
--- 
+++ 
@@ -28,7 +28,7 @@
 
 install installcheck uninstall check mostlyclean clean:
 
-ci:
+cifast ci:
 
 distclean:
 .NOEXPORT:

## lprng 3.6.12

=== HOWTO/Makefile ===
--- 
+++ 
@@ -22,7 +22,13 @@
 
 DOC=LPRng-HOWTO
 
-all: $(DOC).html $(DOC).ps purge
+all: license.txt y2k.txt $(DOC).html $(DOC).ps purge LPRng.html
+
+
+license.txt: $(SRC)/../LICENSE
+	cp $^ $@
+y2k.txt: $(SRC)/../Y2KCompliance
+	cp $^ $@
 
 $(DOC).html: $(DOC).sgml Makefile
 	sgml2html $(DOC).sgml
@@ -39,7 +45,9 @@
 		'\nonstopmode\input{$(DOC).tex}'
 	- TEXINPUTS=:/usr/local/lib/sgml-tools latex \
 		'\nonstopmode\input{$(DOC).tex}'
-	dvips -q -t a4 -o $(DOC).ps $(DOC).dvi
+	dvips -q -t letter -o $(DOC).ps $(DOC).dvi
+LPRng.html: $(SRC)/LPRng.html.orig
+	cp $^ $@
 purge:
 	rm -f *.Bex *.aux *.log *.toc
 fixman:
@@ -51,11 +59,12 @@
 	sgml2info $^
 
 clean:
-	rm -f *.Bex *.aux *.dvi LPRng-*.html *.log *.ps *.tex *.toc
+	rm -f *.Bex *.aux *.dvi LPRng-HOWTO*.html *.log *.ps *.tex *.toc
 
 .PHONY: all clean install ci install.zman update purge
 
 update:
+	updateversion *.sgml
 
 # 
 #
@@ -66,8 +75,9 @@
 realclean mostlyclean distclean:: clean
 	rm -f Makefile
 
-CI=
-CO=-kv
+#CI=
+#CO=-kv
+CO=-l
 cifast ci:
 	checkin() { \
 		rcs -l $$1; \
@@ -77,3 +87,6 @@
 	for i in  *.sgml Makefile.in Makefile; do \
 		checkin $$i; \
 	done;
+
+correct:
+	correct -d dict *.sgml

=== Solaris.pkg/Makefile ===
# Generated automatically from Makefile.in by configure.
TMP=/tmp

PKG=LPRng
PKG_NAME="Line Printer Daemon"
VERSION=3.6.11

MANSRC=../man

pkg: ${PKG}.pkg

clean:
	rm -f pkginfo prototype ${PKG}.pkg

distclean:
	rm -f Makefile

${PKG}.pkg: pkginfo prototype
	pkgmk -o -d ${TMP} -f prototype -p `date +%Y%m%d%H%M`
	pkgtrans -s ${TMP} `pwd`/${PKG}.pkg ${PKG}
	rm -rf ${TMP}/${PKG}

pkginfo: Makefile
	rm -f pkginfo
	echo "PKG=${PKG}" >> pkginfo
	echo "ARCH=`uname -p`" >> pkginfo
	echo "VERSION=${VERSION}" >> pkginfo
	echo "NAME=${PKG_NAME}" >> pkginfo
	echo "CATEGORY=application" >> pkginfo
	echo "BASEDIR=/" >> pkginfo
	echo "CLASSES=none" >> pkginfo

prototype: prototype.proto
	rm -f prototype
	cat prototype.proto >prototype
	for i in `(cd ${MANSRC}; ls *.1)`; do \
	    echo "f none /usr/local/man/man1/$$i=${MANSRC}/$$i 0444 root bin" >>prototype; \
	done
	for i in `(cd ${MANSRC}; ls *.5)`; do \
	    echo "f none /usr/local/man/man5/$$i=${MANSRC}/$$i 0444 root bin" >>prototype; \
	done
	for i in `(cd ${MANSRC}; ls *.8)`; do \
	    echo "f none /usr/local/man/man8/$$i=${MANSRC}/$$i 0444 root bin" >>prototype; \
	done

=== UTILS/Makefile ===
--- 
+++ 
@@ -1,3 +1,4 @@
+# Generated automatically from Makefile.in by configure.
 ###########################################################################
 # LPRng - An Extended Print Spooler System
 #
@@ -21,6 +22,7 @@
 
 cifast ci:
 	checkin() { \
+		rcs -l $$1; \
 		ci $(CI) -mUpdate -t-Initial $$1; \
 		co $(CO) $$1; \
 	}; \

=== po/Makefile ===
--- 
+++ 
@@ -26,7 +26,7 @@
 all-no:
 	echo "No internationalization"
 
-install installcheck uninstall check mostlyclean clean:
+install installcheck uninstall check mostlyclean clean realclean:
 
 cifast ci:

=== FreeBSD.ports.sysutils/LPRng/Makefile ===
# New ports collection makefile for:	LPRng
# Version required:	3.6.6
# Date created:		2 Apr 1997
# Whom:			desmo@bandwidth.org
#
# $Id: Makefile,v 1.5 1998/10/21 00:57:27 steve Exp $
#

DISTNAME=	LPRng-3.6.6
CATEGORIES=	sysutils print
MASTER_SITES=	ftp://ftp.astart.com/pub/LPRng/LPRng/
EXTRACT_SUFX=	.tgz
DISTFILES=	${DISTNAME}${EXTRACT_SUFX} LPRng_DOC-3.6.6.tgz
EXTRACT_ONLY=	${DISTNAME}${EXTRACT_SUFX}

MAINTAINER=	desmo@bandwidth.org

MAKEFILE=	Makefile.bsd
HAS_CONFIGURE=	yes
CONFIGURE_ARGS= \
 --with-lpddir=${PREFIX}/sbin \
 --with-admindir=${PREFIX}/sbin \
 --with-filterdir=${PREFIX}/libexec/filters \
 --with-lpd_conf_path=/etc/lpd.conf \
 --with-lpd_perms_path=/etc/lpd.perms \
 --with-printcap_path=/etc/printcap

MAN1=		cancel.1 lp.1 lpbanner.1 lpc.1 lpf.1 \
		lpq.1 lpr.1 lpraccnt.1 lprm.1 lpstat.1 monitor.1
MAN5=		lpd.conf.5 lpd.perms.5 printcap.5
MAN8=		checkpc.8 lpd.8
MANCOMPRESSED=	yes

post-install:
	${CAT} ${FILESDIR}/lprng.sh | \
		${SED} -e "s|@@PREFIX@@|${PREFIX}|g" > ${PREFIX}/etc/rc.d/lprng.sh
	chmod +x ${PREFIX}/etc/rc.d/lprng.sh
	${INSTALL} -d -g bin -o bin -m 0555 ${PREFIX}/share/doc/LPRng
	@for file in ${EXTRA_FILES}; do \
		${CP} ${DISTDIR}/$$file ${PREFIX}/share/doc/LPRng; \
		cd ${PREFIX}/share/doc/LPRng; \
		tar xvfz $$file; \
		${RM} ${PREFIX}/share/doc/LPRng/$$file; \
	done
	@${CAT} ${PKGDIR}/MESSAGE

.include <bsd.port.mk>

## lprng 3.8.10

=== DISTRIBUTIONS/FreeBSD-4.ports.sysutils.LPRng/Makefile ===
# New ports collection makefile for:	LPRng
# Date created:		2 Apr 1997
# Whom:			desmo@bandwidth.org
#
# $FreeBSD: ports/sysutils/LPRng/Makefile,v 1.19 2001/10/17 19:14:21 lioux Exp $
#

PORTNAME=LPRng
PORTVERSION=3.8.10
CATEGORIES=	sysutils print
MASTER_SITES=	ftp://ftp.lprng.com/pub/%SUBDIR%/ \
		ftp://ftp.cise.ufl.edu/pub/mirrors/%SUBDIR%/ \
		ftp://ftp.cs.umn.edu/pub/%SUBDIR%/ \
		ftp://ftp.informatik.uni-hamburg.de/pub/os/unix/utils/%SUBDIR%/ \
		ftp://ftp.uni-paderborn.de/pub/unix/printer/%SUBDIR%/
MASTER_SITE_SUBDIR=	LPRng/LPRng
EXTRACT_SUFX=	.tgz

MAINTAINER=	papowell@astart.com

GNU_CONFIGURE=	yes
INSTALLS_SHLIB=	yes

CONFIGURE_ARGS= \
	--with-ldopts="-L${LOCALBASE}/lib" \
	--with-ccopts="-I${LOCALBASE}/include" \
	--with-filterdir=${PREFIX}/libexec/filters \
	--with-ld_library_path="${PREFIX}/lib:/lib:/usr/lib:/${LOCALBASE}/lib" \
	--with-filter_path="${PREFIX}/bin:/bin:/usr/bin:${PREFIX}/sbin:/sbin:/usr/sbin"
.if defined(PREFIX)
  CONFIGURE_ARGS+=  --prefix="${PREFIX}"
.endif
.if defined(SYSCONFDIR)
  CONFIGURE_ARGS+=  --sysconfdir="${SYSCONFDIR}"
.endif


MAN1=lpq.1 lp.1 lpr.1 lprm.1 cancel.1 lpf.1 monitor.1 lpstat.1 pclbanner.1 lpbanner.1 psbanner.1
MAN5=printcap.5 lpd.conf.5 lpd.perms.5
MAN8=checkpc.8 lpc.8 lpd.8

pre-everything::
	@${ECHO_MSG} "If you want to replace the default printing system with LPRng, use:"
	@${ECHO_MSG} "  make PREFIX=/usr SYSCONFDIR=/etc clean all install"
	@if [ "${PREFIX}" = "/usr" -a ! -d /usr/man ] ; then \
		${ECHO_MSG} "The man pages will be installed in /usr/man." ; \
		${ECHO_MSG} "You should make a symbolic link /usr/share/man from /usr/man"; \
		${ECHO_MSG} "   ln -s /usr/share/man /usr/man"; \
		${ECHO_MSG} "If you do not, you will retain the old FreeBSD man pages."; \
		${ECHO_MSG} "See the hier(7) man page for details of the FreeBSD file system"; \
		${ECHO_MSG} "layout.  Configure is not equipped to determine the location of"; \
		${ECHO_MSG} 'man pages and defaults to $${PREFIX}/man, which is incorrect for FreeBSD.'; \
	fi

post-install:
.if !defined(NOPORTSDOCS)
	@${INSTALL} -d -o ${SHAREOWN} -g ${SHAREGRP} -m 0555 ${DOCSDIR}
.for ext in html pdf ppt ps txt gif jpg png
	for i in `ls ${WRKSRC}/HOWTO | ${GREP} "\.${ext}$$"`; \
		do ${INSTALL_DATA} ${WRKSRC}/HOWTO/$$i ${DOCSDIR}; done
.endfor
.endif
	@${SED} -e "s!DOCSDIR!${DOCSDIR}/!" ${PKGMESSAGE}

.include <bsd.port.mk>

=== DISTRIBUTIONS/RPM.RedHat/Makefile ===
VERSION=3.8.10
RELEASE=1
RPM=/usr/src/redhat/RPMS/i386/LPRng-${VERSION}-${RELEASE}.i386.rpm
CONFIGURE_ARGS=--prefix=/usr --sysconfdir=/etc --with-filterdir=/usr/libexec/filters --with-ld_library_path=/lib:/usr/lib:/usr/local/lib --with-filter_path=/bin:/usr/bin:/usr/libexec:/usr/local/libexec:/usr/sbin:/var/spool/bin

COPY_HERE=
.PHONY: all rpm testi testu dou doU undo update clean checkit

all:
	make update
	make rpm

rpm:	${RPM}

testi:
	rpm -i --test ${RPM}
testu:
	rpm -U --test ${RPM}
dou:
	rpm -U  ${RPM}
doU:
	rpm -U --force ${RPM}
undo:
	rpm -e --nodeps LPRng

${RPM}: LPRng.spec
	cp lpd.init /usr/src/redhat/SOURCES/lpd.init
	rpm -ba LPRng.spec

clean:
	rm -f *.tgz
	rm -rf /usr/src/redhat/BUILD/LPRng-*

update:
	perl -spi -e "\
		s|^Version: .*|Version: ${VERSION}|; \
		s|^Release: .*|Release: ${RELEASE}|; \
		" LPRng.spec;

checkit: update
	make rpm

=== DISTRIBUTIONS/Solaris.pkg/Makefile ===
#
# Build a pkg for Solaris
# Makefile,v 1.3 2000/05/10 18:33:26 papowell Exp
#
# Hacked, mangled, twisted and warped by Patrick Powell <papowell@astart.com>
# rewritten by Willi Burmeister (wib@cs.uni-kiel.de) for LPRng
#
# 1. We make the package in WORKING
# 2. install it in /var/tmp/LPRng
# 3. generate a packing list using pkgproto + massage
#

PKG=LPRng
PKG_NAME='Line Printer Daemon'
VENDOR='Patrick Powell <papowell@astart.com>'

PREFIX=/usr
FILTERDIR=/usr/libexec/filters
SYSCONFDIR=/etc
SBINDIR=${PREFIX}/sbin
MANDIR=/usr/share/man
VERSION=3.8.10

CONFIGURE_ARGS=--prefix=${PREFIX} --sysconfdir=${SYSCONFDIR} --with-filterdir=${FILTERDIR} --mandir=${MANDIR}

WORKING?=../..
CONFIG?=../..
WORKING:=$(shell cd ${WORKING}; pwd)
CONFIG:=$(shell cd ${CONFIG}; pwd)
COPY_DIR=/var/tmp/LPRng

TMP=/tmp

.PHONY: all add remove rebuild clean check

all: ${PKG}.pkg

addit:
	pkgadd -d ${PKG}.pkg
removeit:
	pkgrm ${PKG}

${PKG}.pkg: pkginfo prototype
	pkgmk -o -d ${TMP} -f prototype -p `date +%Y%m%d%H%M`
	pkgtrans -s ${TMP} `pwd`/${PKG}.pkg ${PKG}
	rm -rf ${TMP}/${PKG}

pkginfo: Makefile
	echo CONFIG ${CONFIG} WORKING ${WORKING} COPY_DIR ${COPY_DIR}
	rm -f pkginfo
	echo "PKG=${PKG}" >> pkginfo
	echo "NAME=LPRng-${VERSION}" >> pkginfo
	echo "ARCH=`uname -p`" >> pkginfo
	echo "VERSION=$(VERSION)" >> pkginfo
	echo "CATEGORY=application" >> pkginfo
	echo "DESC=${PKG_NAME}" >> pkginfo
	echo "CLASSES=none preserve" >> pkginfo
	echo "VENDOR=${VENDOR}" >> pkginfo
	echo "BASEDIR=/" >> pkginfo

SCRIPTS:= postinstall preremove postremove

prototype: prototype.pre prototype.files ${COPY_DIR}${SBINDIR}/lpd ${SCRIPTS}
	cat prototype.pre prototype.files >prototype

${COPY_DIR}${SBINDIR}/lpd: ${WORKING}/config.h
	-rm -rf ${COPY_DIR}
	cd ${WORKING}; ${MAKE} install DESTDIR=${COPY_DIR} MAKEPACKAGE=YES

${WORKING}/config.h:
	if [ '!' -d ${WORKING} ] ; then mkdir ${WORKING} ; fi
	cd ${WORKING}; ${CONFIG}/configure ${CONFIGURE_ARGS}

${SCRIPTS}: prototype.files
	cp ${WORKING}/$@ $@

prototype.files: ${COPY_DIR}${SBINDIR}/lpd
	chown -R root ${COPY_DIR}
	chgrp -R bin ${COPY_DIR}
	pkgproto ${COPY_DIR}=/ \
	 | awk '$$3 == "/"{ next; } \
		/lpd.perms=/{ next; } \
		/lpd.conf=/{  next; } \
		/printcap=/{  next; } \
		/^d/{ print $$1,$$2,$$3," ? ? ? "; next; } \
		{ print; }' >prototype.files

rebuild:
	-rm -rf ${COPY_DIR}
	cd ${WORKING}; ${MAKE} clean

clean:
	-rm -f pkginfo prototype prototype.files ${PKG}.pkg \
		postinstall preremove postremove /tmp/LPRng
	-rm -rf ${COPY_DIR}
	if [ -d ${WORKING} ] ; then cd ${WORKING}; rm -f config.h; fi

checkit:
	cd ../..; ./configure ${CONFIGURE_ARGS}; ${MAKE} all install
	${MAKE} clean all
	-${MAKE} removeit
	${MAKE} addit removeit

=== PrintingCookbook/source/images/Makefile ===
all:
	fiximages *.png
	cp x_* ..

## lprng 3.8.28dfsg.1

=== PrintingCookbook/source/images/Makefile ===
all:
	./fiximages *.png
	cp x_* ..

## lprng 3.8.B

=== debian/changelog ===
lprng (3.8.B-10) unstable; urgency=medium

  * add service file (Closes: #1039256)
  * debian/control: remove mawk | gawk as dependency (Closes: #1077647)
    Thanks to Santiago Vila for the patch.
  * debian/control: remove Conflicts: for packages no longer available
  * debian/control: Update to Standards-Version 4.7.2 (no changes)
  * add spelling.patch

 -- Thorsten Alteholz <debian@alteholz.de>  Sat, 01 Nov 2025 14:03:02 +0100

lprng (3.8.B-9) unstable; urgency=medium

  * add ca.po (Closes: #1106012)
    Thanks to Carles Pina i Estany for the translation.

 -- Thorsten Alteholz <debian@alteholz.de>  Tue, 03 Jun 2025 10:03:02 +0200

lprng (3.8.B-8) unstable; urgency=medium

  * add implicit.patch (Closes: #1066523)
  * debian/watch: update to version 4
                  (probably "upstream" has problems anyway)
  * add ro.po (Closes: #1032342)

 -- Thorsten Alteholz <debian@alteholz.de>  Sat, 16 Mar 2024 10:03:02 +0100

lprng (3.8.B-7) unstable; urgency=medium

  * new maintainer (Closes: #511461)
  * debian/control: bump standard to 4.6.2 (no changes)
  * debian/control: move maintenance to debian-printing team

 -- Thorsten Alteholz <debian@alteholz.de>  Sat, 07 Oct 2023 22:03:02 +0200

lprng (3.8.B-6) unstable; urgency=medium

  * QA Upload.
  * Fix FTCBFS (Closes: #915887)
    + Use dh_auto_configure instead of ./configure directly.

 -- Nilesh Patra <nilesh@debian.org>  Sat, 09 Jul 2022 21:05:12 +0530

lprng (3.8.B-5) unstable; urgency=medium

  * QA upload.
  * debian/rules: Pass CHOWN and CHGRP to configure (Closes: #977428).
  * debian/control: Update Priority to optional.
  * debian/changelog: Fix erroneous email address in old changelog entry.
  * debian/changelog: Remove trailing whitespace.
  * debian/control: Fix typo in "Vcs-Browser".
  * debian/control: Set Rules-Requires-Root to "no".
  * debian/copyright: Update URL for "Format".
  * debian/copyright: Update to BSD-4 license.
  * Update to debhelper-compat 13.
  * debian/control: Add Pre-Depends for "${misc:Pre-Depends}".
  * debian/control: Update to Standards-Version 4.5.1.

 -- Vagrant Cascadian <vagrant@reproducible-builds.org>  Mon, 21 Dec 2020 13:38:59 -0800

lprng (3.8.B-4) unstable; urgency=medium

  * QA upload.
  * Set VCS fields: upload to Salsa.

 -- Thadeu Lima de Souza Cascardo <cascardo@debian.org>  Sat, 31 Oct 2020 08:10:41 -0300

lprng (3.8.B-3) unstable; urgency=medium

  [ Jérémy Bobbio ]
  * Remove build date from lpd.conf (Closes: #773981)

  [ Thadeu Lima de Souza Cascardo ]
  * Set Debian QA Group as Maintainer

 -- Thadeu Lima de Souza Cascardo <cascardo@debian.org>  Sun, 04 Oct 2020 11:31:51 -0300

lprng (3.8.B-2.3) unstable; urgency=medium

  * Non-maintainer upload.
  * Fix build with gcc-10

 -- Thadeu Lima de Souza Cascardo <cascardo@debian.org>  Sat, 29 Aug 2020 09:36:08 -0300

lprng (3.8.B-2.2) unstable; urgency=medium

  * Non-maintainer upload.
  * Specify executable and user to stop-start-daemon; closes security
    issue and fixes starting  with buster dpkg, Closes: #928040
  * Use --oknodo on start so that systemd doesn't fail if lprng is already
    running, Closes: #908770

 -- Sam Hartman <hartmans@debian.org>  Wed, 22 May 2019 09:18:03 -0400

lprng (3.8.B-2.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Don't lose authentication support when compiled with OpenSSL 1.1, patch by
    Reiner Herrmann <reiner@reiner-h.de> (Closes: #854468).

 -- Sebastian Andrzej Siewior <sebastian@breakpoint.cc>  Wed, 08 Feb 2017 21:20:30 +0100

lprng (3.8.B-2) unstable; urgency=low

  * Compilies on hurd-i386 Closes: #671848
  * Added note about needed modules Closes: #659999
  * Added support for "status" action to init script from Peter Eisentraut
    Closes: #651459
  * Updated to debhelper compat 9
  * Updated to Debian standard 3.9.3
  * Patched source to compile with harden flags
  * Fixed configure flags to find openssl libs
  * filters moved to multiarch location
  * Added lpd.conf example Closes: #618482

 -- Craig Small <csmall@debian.org>  Mon, 11 Jun 2012 18:06:30 +1000

lprng (3.8.B-1) unstable; urgency=low

  * New upstream release
  * Changed source format to 3.0 (quilt)
  * Updated to standards version 3.9.1
  * Minor fixes to lpd.conf manpage

 -- Craig Small <csmall@debian.org>  Mon, 28 Feb 2011 09:25:20 +1100

lprng (3.8.A-3) unstable; urgency=low

  * Corrected patch for kfreebsd Closes: #537857
  * postinst checks for symlink on printcap Closes: #544986
  * Documented lpd_listen_port in lpd.conf man page Closes: #492684
  * Maintainer upload Closes: #544991
  * Changed rules file for new debhelper
  * Changed from dpatch to quilt for patching
  * Fixed symlinks for 2 filter man pages

 -- Craig Small <csmall@debian.org>  Tue, 22 Sep 2009 15:34:35 +1000

lprng (3.8.A-2.2) unstable; urgency=low

  * Non-maintainer upload.
  * Corrected runlevel settings in init.d script header, and add postinst
    code to recover installations affected by this bug (Closes:
    #541233).
  * Fixed build problem on kfreebsd (Closes: #537857).  Patch from
    Petr Salinger.
  * Updated debconf translations for Brazilian Portuguese from
    Eder L. Marques (Closes: 511890).
  * Updated debconf translation for Czech from Jan Outrata (Closes: #534967)

 -- Petter Reinholdtsen <pere@debian.org>  Fri,  4 Sep 2009 10:24:59 +0200

lprng (3.8.A-2.1) unstable; urgency=low

  * Non-maintainer upload.
  * The ''fix other packages breaking us'' release:
    + work around bug 489765 (and similars) by documenting
      it in the news file.
  * debian/control:
    + include misc-depends on the package, as we use debhelper.
    + upgrade standards version to 3.8.1 (no changes needed).
  * debian/config:
    + include set -e in the config script.
  * debian/README:
    + include information regarding printing with GTK 2.

 -- Rogério Brito <rbrito@ime.usp.br>  Wed, 20 May 2009 12:28:46 -0300

lprng (3.8.A-2) unstable; urgency=low

  * Added debconf translations:
    - Finnish. Closes: #496233


=== debian/control ===
Source: lprng
Section: net
Priority: optional
Maintainer: Debian Printing Team <debian-printing@lists.debian.org>
Uploaders: Thorsten Alteholz <debian@alteholz.de>
Build-Depends: debhelper-compat (= 13)
	, procps
	, libwrap0-dev
	, libkrb5-dev
	, debconf | debconf-2.0
	, libssl-dev
	, po-debconf
	, openssl
Standards-Version: 4.7.2
Rules-Requires-Root: no
Homepage: http://lprng.sourceforge.net/
Vcs-Git: https://salsa.debian.org/debian/lprng.git
Vcs-Browser: https://salsa.debian.org/debian/lprng

Package: lprng
Architecture: any
Multi-Arch: foreign
Pre-Depends: ${misc:Pre-Depends},
 debconf | debconf-2.0,
Depends: lsb-base (>= 2.0), ${shlibs:Depends}, ${misc:Depends}
Provides: lpr
Suggests: magicfilter, lprng-doc
Conflicts: lpr, cupsys-bsd
Replaces: lpr
Description: lpr/lpd printer spooling system
 The  LPRng  software  is an enhanced, extended, and portable  version
 of the Berkeley LPR software (the standards UNIX printer spooler)
 You can use this for local and remote printers.

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all
DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)

%:
	dh $@

autogen-files := debian/lprng.init debian/lprng.if-up

override_dh_auto_configure:
	# Required to stop timestamp skew
	touch configure.in && touch aclocal.m4 && touch configure

	dh_auto_configure -- $(confflags) \
		--with-config_subdir=lprng \
		--with-filterdir=\$${prefix}/lib/${DEB_HOST_MULTIARCH}/lprng/filters \
		--with-lockfile=/var/run/lprng/lpd \
		--with-unix_socket_path=/var/run/lprng/socket  \
		--with-openssl-lib="/usr/lib /usr/lib/${DEB_HOST_MULTIARCH}" \
		--enable-kerberos_checks --enable-kerberos \
		--with-groupid=lp \
		--disable-remote \
		--enable-lpd.conf.local \
		CHOWN=/bin/chown \
		CHGRP=/bin/chgrp \

override_dh_auto_install: $(autogen-files)
	# Add here commands to install the package into debian/lprng.
	dh_auto_install -- POSTINSTALL=NO DESTDIR=$(CURDIR)/debian/lprng SAMPLESUFFIX=""
	install -m 644 conf/lpd.perms $(CURDIR)/debian/lprng/etc/lprng
	install -m 644 debian/lpd.conf-debian $(CURDIR)/debian/lprng/etc/lprng/lpd.conf
	chmod 644 $(CURDIR)/debian/lprng/etc/lprng/lpd.conf
	# Remove sample printcap
	rm $(CURDIR)/debian/lprng/etc/printcap

override_dh_auto_clean:
	rm -f $(autogen-files)
	dh_auto_clean

debian/%: debian/%.in
	        sed -e 's/$${DEB_HOST_MULTIARCH}/$(DEB_HOST_MULTIARCH)/g' $< > $@

=== debian/watch ===
# watch file for LPRng
#
version=4

ftp://ftp.lprng.com/pub/LPRng/LPRng/LPRng-(.*)\.tgz \
  debian uupdate
